## Tcl8.6.2/Tk8.6.2 Documentation > [incr Tcl] Package C API, version 4.0.1 > List

### Tcl/Tk Applications | Tcl Commands | Tk Commands | [incr Tcl] Package Commands | SQLite3 Package Commands | TDBC Package Commands | tdbc::mysql Package Commands | tdbc::odbc Package Commands | tdbc::postgres Package Commands | tdbc::sqlite3 Package Commands | Thread Package Commands | Tcl C API | Tk C API | [incr Tcl] Package C API | TDBC Package C API

### NAME

Itcl_InitList, Itcl_DeleteList, Itcl_CreateListElem, Itcl_DeleteListElem, Itcl_InsertList, Itcl_InsertListElem, Itcl_AppendList, Itcl_AppendListElem, Itcl_SetListValue — Manipulate an Itcl list object.

### SYNOPSIS

#include <itcl.h>
void
Itcl_InitList(list)
void
Itcl_DeleteList(list)
Itcl_ListElem *
Itcl_CreateListElem(list)
Itcl_ListElem *
Itcl_DeleteListElem(elem)
Itcl_ListElem *
Itcl_InsertList(list, clientData)
Itcl_ListElem *
Itcl_InsertListElem(elem, clientData)
Itcl_ListElem *
Itcl_AppendList(list, clientData)
Itcl_ListElem *
Itcl_AppendListElem(elem, clientData)
void
Itcl_SetListValue(elem, clientData)

### ARGUMENTS

Itcl_List *list (in)
  List info structure.

Itcl_ListElem *elem (in)
  List element info structure.

ClientData clientData (in)
  Arbitrary one-word value to save in the list.

### DESCRIPTION

### KEYWORDS

list
Copyright © 1993-1998 Lucent Technologies, Inc.